#pragma once

#include <QObject>

#include "systeminfo.h"

class SystemDetectorInterface: public QObject
{
    Q_OBJECT
public:
    explicit SystemDetectorInterface(QObject *parent = Q_NULLPTR):
        QObject(parent) {}

    virtual  QSharedPointer<SystemInfo> fetchSystemInfo() = 0;
    virtual void clearCache() = 0;

Q_SIGNALS:
    void softwareInfoCached();
};

